Bug Hunting Session
Bug 57987 - Start Center appears in front of (and hides) document recovery window.
Summary: Start Center appears in front of (and hides) document recovery window.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.6.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Document-Recovery
  Show dependency treegraph
 
Reported: 2012-12-07 16:12 UTC by Shad Sterling
Modified: 2018-10-08 02:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shad Sterling 2012-12-07 16:12:54 UTC
After a crash (or a forcequit) with files open, restarting LibreOffice brings up first the document recovery window, then the Start Center opens in front of it, hiding the fact that LibreOffice has noticed a need to recover files.
It may be best to integrate document recovery into the Start Center.
Comment 1 Emir Sarı (away) 2012-12-08 02:33:23 UTC
This is an enhancement request, so changing importance status to "enhancement".
Comment 2 Emir Sarı (away) 2012-12-08 02:37:26 UTC
Sorry - I reread the sentence of yours and saw that you wrote: "LibreOffice brings up first the document recovery window, then the Start Center opens in front of it" - as far as I remember LO always brings up the recovery window, and start center keeps on the background. 

I'll try to crash LO and then see how it happens. :)
Comment 3 Jorendc 2013-06-27 20:31:42 UTC
Thanks for reporting!

I can reproduce this behavior using Mac OSX 10.8.4 with LibreOffice 4.0.4.2. I had a crash recently and can confirm this. First recovery window opens, a second after that the Start Center opens in front of it (hiding the recovery window).

Kind regards,
Joren
Comment 4 QA Administrators 2015-03-16 23:13:43 UTC Comment hidden (obsolete)
Comment 5 Jean-Baptiste Faure 2015-03-24 05:16:37 UTC
I did not experienced this problem with the crashes I recently had with LibreOffice 4.4.x under Linux. Is it still there under MacOS ?

Best regards. JBF
Comment 6 Shad Sterling 2015-05-19 13:22:18 UTC
No change in 4.4.2.2 on Mac OS X 10.10.3.

In 4.4.3.2, after a forcequit the Start Center does not appear, so document recovery is not hidden; I haven't yet seen a crash of 4.4.3.2.
Comment 7 Shad Sterling 2015-05-21 18:23:24 UTC
With 4.4.3.2, recovering from OS X 10.10.3 crashing, the Start Center does still appear and hide document recovery.
Comment 8 Shad Sterling 2015-07-10 21:43:40 UTC
It looks like when the app launches it only brings up the recovery window, but when it is brought to the foreground it opens the Start Center.  So when I forcequit and relaunch is starts in the foreground and, since it wasn't brought to the foreground, the Start Center doesn't appear.  When the OS crashes and upon reboot relaunches all open apps and LibreOffice does not start in the foreground, then when it is brought to the foreground I see the recovery window just for a moment before the Start Center appears in front.
Comment 9 Shad Sterling 2016-02-02 14:41:17 UTC
Still happens with 5.0.4.2 on OS X 10.11.2
Comment 10 QA Administrators 2017-03-06 15:36:42 UTC Comment hidden (obsolete)
Comment 11 Shad Sterling 2017-03-07 05:13:52 UTC
Still happens with 5.2.5.1 on OS X 10.12.3
Comment 12 QA Administrators 2018-10-08 02:47:58 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug